ch.qos.logback.core.net.ssl

## Class ConfigurableSSLServerSocketFactory

- java.lang.Object
- - javax.net.ServerSocketFactory
  - - ch.qos.logback.core.net.ssl.ConfigurableSSLServerSocketFactory

    public class ConfigurableSSLServerSocketFactory
    extends javax.net.ServerSocketFactory

An `SSLServerSocketFactory` that configures SSL parameters (those specified in SSLParametersConfiguration) on each newly created socket.

When any of this factory's {@code createServerSocket} methods are invoked, it calls on a delegate {@link SSLServerSocketFactory} to create the socket, and then sets the SSL parameters of the socket (using the provided configuration) before returning the socket to the caller.

Author:
  Carl Harris

### Constructor Summary

Constructors
Constructor and Description
`ConfigurableSSLServerSocketFactory(SSLParametersConfiguration parameters, javax.net.ssl.SSLServerSocketFactory delegate)` Creates a new factory.

### Method Summary

Methods
`java.net.ServerSocket` `createServerSocket(int port)`
`java.net.ServerSocket` `createServerSocket(int port, int backlog)`
`java.net.ServerSocket` `createServerSocket(int port, int backlog, java.net.InetAddress ifAddress)`

### Methods inherited from class javax.net.ServerSocketFactory

`createServerSocket, getDefault`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigurableSSLServerSocketFactory

    public ConfigurableSSLServerSocketFactory(SSLParametersConfiguration parameters,
                                      javax.net.ssl.SSLServerSocketFactory delegate)

Creates a new factory.

Parameters:
  `parameters` - parameters that will be configured on each socket created by the factory
  `delegate` - socket factory that will be called upon to create server sockets before configuration

### Method Detail

#### createServerSocket

    public java.net.ServerSocket createServerSocket(int port,
                                           int backlog,
                                           java.net.InetAddress ifAddress)
                                             throws java.io.IOException

Specified by:
  `createServerSocket` in class `javax.net.ServerSocketFactory`
Throws:
  `java.io.IOException`

#### createServerSocket

    public java.net.ServerSocket createServerSocket(int port,
                                           int backlog)
                                             throws java.io.IOException

Specified by:
  `createServerSocket` in class `javax.net.ServerSocketFactory`
Throws:
  `java.io.IOException`

#### createServerSocket

    public java.net.ServerSocket createServerSocket(int port)
                                             throws java.io.IOException

Specified by:
  `createServerSocket` in class `javax.net.ServerSocketFactory`
Throws:
  `java.io.IOException`